﻿using System;

namespace compiler
{
    public static class ConsoleLogger
    {
        public static Verbosity Verbosity { get; set; }

        public static void WriteLine(string msg, Verbosity verbosity)
        {
            if (verbosity <= ConsoleLogger.Verbosity)
            {
                Console.WriteLine(msg);
            }
        }
    }

    public enum Verbosity
    {
        Error = 1,
        Warning = 2,
        Info = 3,
        Debugging = 4
    }
}
